C3DCamera Class Reference

this class defines the view point for 3D visualization More...

`#include <mia/3d/camera.hh>`

## Public Member Functions

| C3DCamera ()
| C3DCamera (const C3DFVector &loc, const Quaternion &rot, float zoom)
C3DFVector | get_location () const
Quaternion | get_rotation () const
float | get_zoom () const
void | print (std::ostream &os) const

## Detailed Description

this class defines the view point for 3D visualization

Definition at line 34 of file camera.hh.

## Constructor & Destructor Documentation

## C3DCamera() [1/2]

C3DCamera::C3DCamera | ( |  | ) |

## C3DCamera() [2/2]

C3DCamera::C3DCamera | ( | const C3DFVector & | loc,
|  | const Quaternion & | rot,
|  | float | zoom )

Constructor

Parameters

  loc | viewpoint location
  rot | looking direction
  zoom | camera zoom

## Member Function Documentation

## get_location()

C3DFVector C3DCamera::get_location | ( |  | ) | const

Returns
  the location of the camera

## get_rotation()

Quaternion C3DCamera::get_rotation | ( |  | ) | const

Returns
  the view direction as rotation

## get_zoom()

float C3DCamera::get_zoom | ( |  | ) | const

Returns
  get the camera zoom

## print()

void C3DCamera::print | ( | std::ostream & | os | ) | const

Referenced by operator<<().

The documentation for this class was generated from the following file:

- camera.hh